﻿* Encoding: UTF-8.

*Sentence Context Effects 
*Sergio Lieva, Dr. J. Marc Goodrich, & Dr. Michael Hebert
*
                                               
*                                                   ####################################            Rreaction Times (RT)                ################################

*Sensitivity Analysis (WITH OUTLIERS, not including RT above individuals participants's mean RT )
 *EXCLUDE:
*Context < 3 = excludes filler trials
*rt > 250 
*excAccfd < 1 (Mean accuracy scores below the 5th percentile (Reading < .73 and Listening < .80)
*acc >0 (accuracy scores of zero)


COMPUTE filter_$=(context < 3 & rt > 250 & excAccfd < 1 & acc >0).
VARIABLE LABELS filter_$ 'context < 3 & rt > 250 & excAccfd < 1 & acc > 0(FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


*################################################################

*For analysis after removing OUTLIERS

*Contex < 3 excludes filler trials
*rt > 250 
*excAccfd < 1 (Mean accuracy scores below the 5th percentile (Reading < .73 and Listening < .80)
*acc >0 (accuracy scores of zero)
*above3sdfd < 1 (Individual Participants RTs 3 SDs above Individual participants's mean RT). 


COMPUTE filter_$=(context < 3 & rt > 250 & excAccfd < 1 & acc >0 & above3sdfd < 1).
VARIABLE LABELS filter_$ 'context < 3 & rt > 250 & excAccfd < 1 & acc > 0 & above3sdfd < 1(FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*##############################################################

*For RT analysis, the above excluded cases can be exclused all at once with the following comand

USE ALL.
COMPUTE filter_$=(rt_fulldata > 0).
VARIABLE LABELS filter_$ 'rt_fulldata > 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

***************MEANS*****************
    
MIXED rt BY modality context
  /FIXED=modality context modality*context| SSTYPE(3)
  /METHOD=REML
  /PRINT=DESCRIPTIVES  LMATRIX SOLUTION TESTCOV
  /EMMEANS=TABLES(OVERALL)
  /EMMEANS=TABLES(modality) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(context) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(modality*context).


*******UNCONDITIONAL MODEL******

MIXED rt 
/print=solution testcov 
/method=reml
/FIXED =  | SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id).


*****COVARIATES****
** CONTEXT & MODALITY ***

MIXED 
rt BY  context modality   
/print=solution testcov 
/method=reml
/FIXED =  context modality context*modality| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) compare (context) adj(SIDAK)
/emmeans tables(modality) compare (modality) adj(SIDAK)
/emmeans tables(context*modality) compare(context) adj(SIDAK).

******* AGE*****
*Mean age = 10.22, SD = 1.33

*At low = 8.89
*At Average = 10.22
*At High = 11.55

MIXED 
rt BY  context modality WITH agey
/print=solution testcov 
/method=reml
/FIXED =  context modality agey context*modality context*agey modality*agey context*modality*agey| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (agey = 8.89) compare (context) adj(SIDAK)
/emmeans tables(context) with (agey = 10.22) compare (context) adj(SIDAK)
/emmeans tables(context) with (agey = 11.55) compare (context) adj(SIDAK)
/emmeans tables(modality) with (agey = 8.89) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (agey = 10.22) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (agey = 11.55) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (agey = 8.89) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (agey = 10.22) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (agey = 11.55) compare(context) adj(SIDAK).


********VOCABULARY******

*Mean Spanish Vocabulary = 83.40, SD = 17.91

*At low = 65.49
*At Average = 83.40
*At High = 101.31  



MIXED 
rt BY  context modality WITH agey spnvocraw
/print=solution testcov 
/method=reml
/FIXED =  context modality agey spnvocraw context*modality context*spnvocraw modality*spnvocraw context*modality*spnvocraw| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (spnvocraw = 65.49) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnvocraw = 83.40) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnvocraw = 101.31) compare (context) adj(SIDAK)
/emmeans tables(modality) with (spnvocraw = 65.49) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (spnvocraw = 83.40) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (spnvocraw = 101.31) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (spnvocraw = 65.49) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (spnvocraw = 83.40) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (spnvocraw = 101.31) compare(context) adj(SIDAK).

********READING FLUENCY ******
    
*Mean Spanish Reading Fluency = 35.44, SD = 11.20

*At low = 24.24
*At Average = 35.44
*At High = 46.64


MIXED 
rt BY  context modality WITH agey spnreadraw
/print=solution testcov 
/method=reml
/FIXED =  context modality agey spnreadraw context*modality context*spnreadraw modality*spnreadraw context*modality*spnreadraw| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (spnreadraw = 24.24) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnreadraw = 35.44) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnreadraw = 46.64) compare (context) adj(SIDAK)
/emmeans tables(modality) with (spnreadraw = 24.24) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (spnreadraw = 35.44) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (spnreadraw = 46.64) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (spnreadraw = 24.24) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (spnreadraw = 35.44) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (spnreadraw = 46.64) compare(context) adj(SIDAK).

******** DIGITS********
    
*Mean Verbal Working Memory (Digits) = 13.13, SD = 3.77

*At low = 9.37
*At Average = 13.13
*At High = 16.90


MIXED 
rt BY  context modality WITH agey digits
/print=solution testcov 
/method=reml
/FIXED =  context modality agey digits context*modality context*digits modality*digits context*modality*digits| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (digits = 9.37) compare (context) adj(SIDAK)
/emmeans tables(context) with (digits = 13.13) compare (context) adj(SIDAK)
/emmeans tables(context) with (digits = 16.90) compare (context) adj(SIDAK)
/emmeans tables(modality) with (digits = 9.37) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (digits = 13.13) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (digits = 16.90) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (digits = 9.37) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (digits = 13.13) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (digits = 16.90) compare(context) adj(SIDAK).

********CORSI********
    
*Mean Nonverbal Working Memory (Corsi) = 16.10, SD = 5.77

*At low = 10.33
*At Average = 16.10
*At High = 21.87

MIXED 
rt BY  context modality WITH agey corsi
/print=solution testcov 
/method=reml
/FIXED =  context modality agey corsi context*modality context*corsi modality*corsi context*modality*corsi| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (corsi = 10.33) compare (context) adj(SIDAK)
/emmeans tables(context) with (corsi = 16.10) compare (context) adj(SIDAK)
/emmeans tables(context) with (corsi = 21.87) compare (context) adj(SIDAK)
/emmeans tables(modality) with (corsi = 10.33) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (corsi = 16.10) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (corsi = 21.87) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (corsi = 10.33) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (corsi = 16.10) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (corsi = 21.87) compare(context) adj(SIDAK).




*                                                                                         $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$          ACCURACY                $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
*Compute mean accuracy scores and percentiles  for the reading and listening tasks. 

*EXCLUDE:
*Contex < 3 = excludes filler trials
*rt > 250 

COMPUTE filter_$=(context < 3 & rt > 250).
VARIABLE LABELS filter_$ 'context < 3 & rt > 250(FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DATASET ACTIVATE DataSet1.
EXAMINE VARIABLES=accmeanfd BY modality
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /PERCENTILES(5,10,25,50,75,90,95) HAVERAGE
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*For analysis after removing mean accuracy scores below the fifth percentile for both reading (< .73) and listening (< .80)

*Contex < 3 excludes filler trials
*excAccdf < 1 (Mean accuracy scores below the 5th percentile (Reading < .73 and Listening < .80)
*rt > 250ms

COMPUTE filter_$=(context < 3 & rt > 250 & excAccfd < 1).
VARIABLE LABELS filter_$ 'context < 3 & rt > 250 & excAccfd < 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*10069 cases

***************MEANS*****************
    
MIXED acc BY modality context
  /FIXED=modality context modality*context| SSTYPE(3)
  /METHOD=REML
  /PRINT=DESCRIPTIVES  LMATRIX SOLUTION TESTCOV
  /EMMEANS=TABLES(OVERALL)
  /EMMEANS=TABLES(modality) COMPARE ADJ(SIDAK)
  /EMMEANS=TABLES(context) COMPARE ADJ(SIDAK)
  /EMMEANS=TABLES(modality*context).


*******UNCONDITIONAL MODEL******

MIXED acc 
/print=solution testcov 
/method=reml
/FIXED =  | SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id).


*****COVARIATES****
** CONTEXT & MODALITY ***

MIXED 
acc BY  context modality   
/print=solution testcov 
/method=reml
/FIXED =  context modality context*modality| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) compare (context) adj(SIDAK)
/emmeans tables(modality) compare (modality) adj(SIDAK)
/emmeans tables(context*modality) compare(context) adj(SIDAK).


***** AGE*****
    
*Mean Age = 10.21, SD = 1.33
    
*At Low = 8.89
*At Average = 10.21
*At Low = 11.54

MIXED 
acc BY  context modality WITH agey
/print=solution testcov 
/method=reml
/FIXED =  context modality agey context*modality context*agey modality*agey context*modality*agey| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (agey = 8.89) compare (context) adj(SIDAK)
/emmeans tables(context) with (agey = 10.21) compare (context) adj(SIDAK)
/emmeans tables(context) with (agey = 11.54) compare (context) adj(SIDAK)
/emmeans tables(modality) with (agey = 8.89) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (agey = 10.21) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (agey = 11.54) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (agey = 8.89) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (agey = 10.21) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (agey = 11.54) compare(context) adj(SIDAK).


******VOCABULARY******
    
*Mean Spanish Vocabulary = 83.00, SD = 18.00
    
*At Low = 65.00
*At Average = 83.00
*At Low = 101.00

MIXED 
acc BY  context modality WITH spnvocraw
/print=solution testcov 
/method=reml
/FIXED =  context modality spnvocraw context*modality context*spnvocraw modality*spnvocraw context*modality*spnvocraw| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (spnvocraw = 65.00) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnvocraw = 83.00) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnvocraw = 101.00) compare (context) adj(SIDAK)
/emmeans tables(modality) with (spnvocraw = 65.00) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (spnvocraw = 83.00) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (spnvocraw = 101.00) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (spnvocraw = 65.00) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (spnvocraw = 83.00) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (spnvocraw = 101.00) compare(context) adj(SIDAK).


*****READING FLUENCY ******
    
*Mean Spanish Reading Fluency = 35.23, SD = 11.25
    
*At Low = 23.98
*At Average = 35.23
*At Low = 46.48

MIXED 
acc BY  context modality WITH spnreadraw
/print=solution testcov 
/method=reml
/FIXED =  context modality spnreadraw context*modality context*spnreadraw modality*spnreadraw context*modality*spnreadraw| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (spnreadraw = 23.98) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnreadraw = 35.23) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnreadraw = 46.48) compare (context) adj(SIDAK)
/emmeans tables(modality) with (spnreadraw = 23.98) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (spnreadraw = 35.23) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (spnreadraw = 46.48) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (spnreadraw = 23.98) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (spnreadraw = 35.23) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (spnreadraw = 46.48) compare(context) adj(SIDAK).


* variance

MIXED 
acc BY  context modality WITH spnreadraw
/print=solution testcov 
/method=reml
/FIXED =  context modality spnreadraw context*modality context*spnreadraw| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (spnreadraw = 23.98) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnreadraw = 35.23) compare (context) adj(SIDAK)
/emmeans tables(context) with (spnreadraw = 46.48) compare (context) adj(SIDAK).



**** DIGITS********
    
*Mean Verbal Working Memory (Digits) =13.06 SD, = 3.78
    
*At Low = 9.28
*At Average = 13.06
*At Low = 16.84

MIXED 
acc BY  context modality WITH digits
/print=solution testcov 
/method=reml
/FIXED =  context modality digits context*modality context*digits modality*digits context*modality*digits| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (digits = 9.28) compare (context) adj(SIDAK)
/emmeans tables(context) with (digits = 13.06) compare (context) adj(SIDAK)
/emmeans tables(context) with (digits = 16.84) compare (context) adj(SIDAK)
/emmeans tables(modality) with (digits = 9.28) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (digits = 13.06) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (digits = 16.84) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (digits = 9.28) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (digits = 13.06) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (digits = 16.84) compare(context) adj(SIDAK).

MIXED 
acc BY  context modality WITH digits
/print=solution testcov 
/method=reml
/FIXED =  context modality digits context*modality context*digits modality*digits context*modality*digits| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (digits = 9.28) compare (context) adj(BONFERRONI)
/emmeans tables(context) with (digits = 13.06) compare (context) adj(BONFERRONI)
/emmeans tables(context) with (digits = 16.84) compare (context) adj(BONFERRONI)
/emmeans tables(modality) with (digits = 9.28) compare(modality) adj(BONFERRONI)
/emmeans tables(modality) with (digits = 13.06) compare(modality) adj(BONFERRONI)
/emmeans tables(modality) with (digits = 16.84) compare(modality) adj(BONFERRONI)
/emmeans tables(context*modality) with (digits = 9.28) compare(context) adj(BONFERRONI)
/emmeans tables(context*modality) with (digits = 13.06) compare(context) adj(BONFERRONI)
/emmeans tables(context*modality) with (digits = 16.84) compare(context) adj(BONFERRONI).


********CORSI*********
    
*Mean Verbal Working Memory (Digits) =15.99, SD = 5.76
    
*At Low = 10.23
*At Average = 15.99
*At Low = 21.75

MIXED 
acc BY  context modality WITH corsi
/print=solution testcov 
/method=reml
/FIXED =  context modality corsi context*modality context*corsi modality*corsi context*modality*corsi| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (corsi = 10.23) compare (context) adj(SIDAK)
/emmeans tables(context) with (corsi = 15.99) compare (context) adj(SIDAK)
/emmeans tables(context) with (corsi = 21.75) compare (context) adj(SIDAK)
/emmeans tables(modality) with (corsi = 10.23) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (corsi = 15.99) compare(modality) adj(SIDAK)
/emmeans tables(modality) with (corsi = 21.75) compare(modality) adj(SIDAK)
/emmeans tables(context*modality) with (corsi = 10.23) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (corsi = 15.99) compare(context) adj(SIDAK)
/emmeans tables(context*modality) with (corsi = 21.75) compare(context) adj(SIDAK).


MIXED 
acc BY  context modality WITH corsi
/print=solution testcov 
/method=reml
/FIXED =  context modality corsi context*modality context*corsi| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) with (corsi = 10.23) compare (context) adj(SIDAK)
/emmeans tables(context) with (corsi = 15.99) compare (context) adj(SIDAK)
/emmeans tables(context) with (corsi = 21.75) compare (context) adj(SIDAK).



** EFFECTS OF LANGUAGE GROUPS ******
    

****MEANS****

MIXED acc BY  langroup modality context 
  /FIXED=context modality langroup context*modality context*langroup modality*langroup context*modality*langroup| SSTYPE(3)
  /METHOD=REML
  /PRINT=DESCRIPTIVES  LMATRIX SOLUTION TESTCOV
  /EMMEANS=TABLES(OVERALL)
  /EMMEANS=TABLES(modality) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(context) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(langroup) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(context*modality)
  /EMMEANS=TABLES(context*langroup)
  /EMMEANS=TABLES(modality*langroup)
  /EMMEANS=TABLES(context*modality*langroup).



** RUN MODEL WITH LANGROUP INCLUDED 


MIXED 
acc BY  context modality langroup WITH agey
/print=solution testcov 
/method=reml
/FIXED =  context modality langroup agey context*modality context*langroup modality*langroup context*modality*langroup| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) compare (context) adj(SIDAK)
/emmeans tables(modality) compare (modality) adj(SIDAK)
/emmeans tables(langroup) compare (langroup) adj(SIDAK)
/emmeans tables(context*modality) compare(context) adj(SIDAK)
/emmeans tables(context*langroup) compare(context) adj(SIDAK)
/emmeans tables(modality*langroup) compare(modality) adj(SIDAK)
/emmeans tables(context*modality*langroup) compare(context) adj(SIDAK).


MIXED 
acc BY langroup modality context 
/print=solution testcov 
/method=reml
/FIXED =  langroup modality context langroup*modality langroup*context modality*context langroup*modality*context| SSTYPE(3)
/RANDOM Intercept | subject(id) covtype(id)
/RANDOM = Intercept | subject(trial) covtype(id)
/emmeans tables(context) compare (context) adj(SIDAK)
/emmeans tables(modality) compare (modality) adj(SIDAK)
/emmeans tables(langroup) compare (langroup) adj(SIDAK)
/emmeans tables(modality*context) compare(context) adj(SIDAK)
/emmeans tables(langroup*context) compare(context) adj(SIDAK)
/emmeans tables(langroup*modality) compare(modality) adj(SIDAK)
/emmeans tables(langroup*modality*context) compare(context) adj(SIDAK).

****Muiltilevel logistic regression analysis 

GENLINMIXED
/DATA_STRUCTURE SUBJECTS= id*trial
/FIELDS TARGET=acc
/TARGET_OPTIONS DISTRIBUTION=BINOMIAL LINK=LOG
/FIXED EFFECTS= context modality context*modality USE_INTERCEPT=TRUE
/RANDOM USE_INTERCEPT=TRUE SUBJECTS= id
COVARIANCE_TYPE=VARIANCE_COMPONENTS
/RANDOM USE_INTERCEPT=TRUE SUBJECTS= trial
COVARIANCE_TYPE=VARIANCE_COMPONENTS
  /BUILD_OPTIONS TARGET_CATEGORY_ORDER=ASCENDING 
    INPUTS_CATEGORY_ORDER=ASCENDING MAX_ITERATIONS=100 
    CONFIDENCE_LEVEL=95 DF_METHOD=RESIDUAL COVB=MODEL
     /EMMEANS TABLES= context COMPARE= context CONTRAST=PAIRWISE
 /EMMEANS_OPTIONS SCALE=ORIGINAL PADJUST=SEQSIDAK.
 






